## psychopy 2023.2.4+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	cp source/index.html $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pp.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pp.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pp"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pp"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	export max_print_line=1000; export error_line=1000; export error_line=1000;
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	export max_print_line=1000; export error_line=1000; export error_line=1000;
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

rinoh:
	@echo "Running LaTeX files through rinoh..."
	$(SPHINXBUILD) -b rinoh $(ALLSPHINXOPTS) $(BUILDDIR)/rinoh
	@echo "rinoh finished; the PDF files are in $(BUILDDIR)/rinoh"

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
psychopy (2023.2.4+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Remove python3-astunparse (Closes: #1086772)
  * Add dependency on python3-standard-imghdr (Closes: #1084568)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 18 Mar 2025 10:32:07 +0100

psychopy (2023.2.4+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Re-upload as source-only to allow migration

 -- Alexandre Detiste <tchet@debian.org>  Sun, 11 Feb 2024 13:07:18 +0100

psychopy (2023.2.4+dfsg-2) unstable; urgency=medium

  * Team upload.
  * patch-out python3-mock build dependency
  * add recommends on python3-arabic-reshaper (#953053)
  * add patch to avoid generating python3-future dependency

 -- Alexandre Detiste <tchet@debian.org>  Mon, 29 Jan 2024 00:51:58 +0100

psychopy (2023.2.4+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Étienne Mollier ]
  * d/t/run-unit-test: add regression test against #1010537

  [ Andreas Tille ]
  * Fix symlink to DejaVuSerif
    Closes: #1040589
  * Standards-Version: 4.6.2 (routine-update)
  * Do not parse d/changelog (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Build-Depends: pybuild-plugin-pyproject
  * DEP3
  * Build-Depends: python3-pdm-backend
  * Lintian-overrides (see lintian bug #1017966)
  * Recommends: python3-bidi, python3-pyglfw (partly addressing #953053)

 -- Andreas Tille <tille@debian.org>  Wed, 20 Dec 2023 20:10:58 +0100

=== debian/control ===
Source: psychopy
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>,
           Étienne Mollier <emollier@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3,
               python3-setuptools,
               help2man,
               imagemagick,
               python3-configobj,
               xvfb,
               xauth,
               libgl1-mesa-dri,
               python3-pdm-backend,
               python3-pyglet <!nocheck>,
               python3-pygame <!nocheck>,
               python3-opengl <!nocheck>,
               python3-scipy <!nocheck>,
               python3-matplotlib <!nocheck>,
               python3-lxml <!nocheck>,
               python3-pil <!nocheck>,
               python3-openpyxl <!nocheck>,
               python3-wxgtk4.0 <!nocheck>,
               python3-xlib <!nocheck>,
#               python3-pyo <!nocheck>,
               python3-requests <!nocheck>,
               python3-opencv <!nocheck>,
               python3-serial <!nocheck>,
               python3-psutil <!nocheck>,
               python3-gevent <!nocheck>,
               python3-msgpack <!nocheck>,
               python3-yaml <!nocheck>,
               python3-pytest <!nocheck>,
               python3-json-tricks <!nocheck>,
               python3-pandas <!nocheck>,
               python3-zmq <!nocheck>,
               python3-gitlab <!nocheck>,
               python3-cryptography <!nocheck>,
               python3-questplus <!nocheck>,
               python3-standard-imghdr,
               python3-distro
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/psychopy
Vcs-Git: https://salsa.debian.org/med-team/psychopy.git
Homepage: https://www.psychopy.org
Rules-Requires-Root: no

Package: psychopy
Architecture: all
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-pyglet | python3-pygame,
         python3-opengl,
         python3-numpy,
         python3-scipy,
         python3-matplotlib,
         python3-lxml,
         python3-configobj,
         python3-standard-imghdr,
         fonts-dejavu-core,
         fonts-open-sans
Recommends: python3-wxgtk4.0,
            python3-pyglet,
            python3-pygame,
            python3-openpyxl,
            python3-opencv,
            python3-pil,
            python3-serial,
            python3-pyo,
            python3-psutil,
            python3-requests,
            python3-gevent,
            python3-msgpack,
            python3-yaml,
            python3-xlib,
            python3-pandas,
            python3-questplus,
            python3-distro,
            python3-bidi,
            python3-pyglfw,
            libxxf86vm1,
            ipython3,
            python3-zmq,
            python3-json-tricks,
            python3-gitlab,
            python3-pyxid,
            python3-cryptography,
            python3-arabic-reshaper,
Provides: ${python3:Provides}
Description: environment for creating psychology stimuli in Python
 PsychoPy provides an environment for creating psychology stimuli
 using Python scripting language.  It combines the graphical
 strengths of OpenGL with easy Python syntax to give psychophysics
 a free and simple stimulus presentation and control package.
 .
 The goal is to provide, for the busy scientist, tools to control
 timing and windowing and a simple set of pre-packaged stimuli and
 methods.  PsychoPy features
 .
  - IDE GUI for coding in a powerful scripting language (Python)
  - Builder GUI for rapid development of stimulation sequences
  - Use of hardware-accelerated graphics (OpenGL)
  - Integration with Spectrascan PR650 for easy monitor calibration
  - Simple routines for staircase and constant stimuli experimental
    methods as well as curve-fitting and bootstrapping
  - Simple (or complex) GUIs via wxPython
  - Easy interfaces to joysticks, mice, sound cards etc. via PyGame
  - Video playback (MPG, DivX, AVI, QuickTime, etc.) as stimuli

## psychopy ext-0.5.2

=== docs/Makefile ===
--- 
+++ 
@@ -5,14 +5,16 @@
 SPHINXOPTS    =
 SPHINXBUILD   = sphinx-build
 PAPER         =
-BUILDDIR      = build
+BUILDDIR      = build/
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
+# the i18n builder cannot share the environment and doctrees with the others
+I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
 
-.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest
+.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
@@ -29,6 +31,9 @@
 	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
 	@echo "  text       to make text files"
 	@echo "  man        to make manual pages"
+	@echo "  texinfo    to make Texinfo files"
+	@echo "  info       to make Texinfo files and run them through makeinfo"
+	@echo "  gettext    to make PO message catalogs"
 	@echo "  changes    to make an overview of all changed/added/deprecated items"
 	@echo "  linkcheck  to check all external links for integrity"
 	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
@@ -38,7 +43,6 @@
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
-	cp source/index.html $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
 
@@ -73,17 +77,17 @@
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
 	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pp.qhcp"
+	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/psychopy_ext.qhcp"
 	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pp.qhc"
+	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/psychopy_ext.qhc"
 
 devhelp:
 	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
 	@echo
 	@echo "Build finished."
 	@echo "To view the help file:"
-	@echo "# mkdir -p $$HOME/.local/share/devhelp/pp"
-	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pp"
+	@echo "# mkdir -p $$HOME/.local/share/devhelp/psychopy_ext"
+	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/psychopy_ext"
 	@echo "# devhelp"
 
 epub:
@@ -92,7 +96,6 @@
 	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."
 
 latex:
-	export max_print_line=1000; export error_line=1000; export error_line=1000;
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo
 	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
@@ -100,16 +103,10 @@
 	      "(use \`make latexpdf' here to do that automatically)."
 
 latexpdf:
-	export max_print_line=1000; export error_line=1000; export error_line=1000;
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo "Running LaTeX files through pdflatex..."
-	make -C $(BUILDDIR)/latex all-pdf
+	$(MAKE) -C $(BUILDDIR)/latex all-pdf
 	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
-
-rinoh:
-	@echo "Running LaTeX files through rinoh..."
-	$(SPHINXBUILD) -b rinoh $(ALLSPHINXOPTS) $(BUILDDIR)/rinoh
-	@echo "rinoh finished; the PDF files are in $(BUILDDIR)/rinoh"
 
 text:
 	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
@@ -120,6 +117,24 @@
 	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
 	@echo
 	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."
+
+texinfo:
+	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
+	@echo
+	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
+	@echo "Run \`make' in that directory to run these through makeinfo" \
+	      "(use \`make info' here to do that automatically)."
+
+info:
+	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
+	@echo "Running Texinfo files through makeinfo..."
+	make -C $(BUILDDIR)/texinfo info
+	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."
+
+gettext:
+	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
+	@echo
+	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."
 
 changes:
 	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
